{% load static wagtailcore_tags wagtailimages_tags wagtailmetadata_tags %}
<!doctype html>
<html lang="cs">
<head>

  <!-- Font loader -->
  <script type="text/javascript">
    WebFontConfig = {
      google: { families: ['Roboto+Condensed:300,300i,400,400i,700,700i:latin-ext', 'Bebas+Neue'] }
    };
    (function () {
      var wf = document.createElement('script');
      wf.src = 'https://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
      wf.type = 'text/javascript';
      wf.async = 'true';
      var s = document.getElementsByTagName('script')[0];
      s.parentNode.insertBefore(wf, s);
    })();
  </script>

  <!-- Meta -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  {% meta_tags %}
  {% if settings.MAJAK_ENV == "test" %}
    <meta name="robots" content="noindex, nofollow">
  {% endif %}

  <!-- Favicon -->
  {% include "shared/favicon_snippet.html" %}

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="{% static "shared/vendor/bootstrap-4.4.1/css/bootstrap.min.css" %}">
  <link rel="stylesheet" href="{% static "shared/vendor/fancybox/jquery.fancybox.min.css" %}">

  <!-- Styles -->
  <link href="{% static "senat_campaign/assets/css/style.css" %}" rel="stylesheet">
  <link href="{% static "senat_campaign/assets/css/icons.css" %}" rel="stylesheet">

  {% if page.root_page.matomo_id %}
    {% include "shared/matomo_snippet.html" with matomo_id=page.root_page.matomo_id %}
  {% endif %}
</head>

<body id="top">

  <!-- HEADER -->
  <div class="pre-navbar d-none d-xl-flex" style="background:black;">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-6">
          <div class="header__socials header__socials--desktop">
            {% include "senat_campaign/socials_snippet.html" %}
          </div>
        </div>
        <div class="col-md-6 text-right">
          {% if page.root_page.has_donations %}
          <a href="{{ page.root_page.donations_url }}" class="btn btn-success support_buton btn-sm">Darovat<i class="icon-heart ml-2" title="Ikona srdce"></i></a>
          {% endif %}
        </div>
      </div>
    </div>
  </div>

  <nav class="navbar navbar-expand-xl navbar-dark">
    <div class="container">

      <!-- Candidate name -->
      <div class="brand-wrapper">
        <a class="navbar-brand navbar-brand--primary" href="/">{{ page.root_page.first_name }} <strong>{{ page.root_page.last_name }}</strong></a>
        <a class="navbar-brand navbar-brand--alt" href="/">{{ page.root_page.first_name|first }}. <strong>{{ page.root_page.last_name }}</strong></a>
      </div>

      <!-- Mobile menu toggler -->
      <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#mainNavigation" aria-controls="mainNavigation" aria-expanded="false" aria-label="Otevřít menu">
        <span></span>
        <span></span>
        <span></span>
      </button>

      <!-- Navigation -->
      <div class="collapse navbar-collapse" id="mainNavigation">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            {% if page.is_home %}
            <a class="nav-link js-scroll-anchor" href="#top">Úvod</a>
            {% else %}
            <a class="nav-link" href="/#top">Úvod</a>
            {% endif %}
          </li>
          {% if page.root_page.has_program %}
          <li class="nav-item">
            {% if page.is_home %}
            <a class="nav-link js-scroll-anchor" href="#priority">Senátní priority</a>
            {% else %}
            <a class="nav-link" href="/#priority">Senátní priority</a>
            {% endif %}
          </li>
          {% endif %}
          <li class="nav-item">
            {% if page.is_home %}
            <a class="nav-link js-scroll-anchor" href="#kdojsem">Kdo jsem</a>
            {% else %}
            <a class="nav-link" href="/#kdojsem">Kdo jsem</a>
            {% endif %}
          </li>
          {% if page.root_page.has_news %}
          <li class="nav-item">
            {% if page.is_home %}
            <a class="nav-link js-scroll-anchor" href="#aktuality">Aktuality</a>
            {% else %}
            <a class="nav-link" href="/#aktuality">Aktuality</a>
            {% endif %}
          </li>
          {% endif %}
          {% if page.root_page.has_calendar %}
          <li class="nav-item">
            {% if page.is_home %}
            <a class="nav-link js-scroll-anchor" href="#kalendar">Kalendář</a>
            {% else %}
            <a class="nav-link" href="/#kalendar">Kalendář</a>
            {% endif %}
          </li>
          {% endif %}
          {% if page.root_page.financials %}
          <li class="nav-item">
            {% if page.is_home %}
            <a class="nav-link js-scroll-anchor" href="#financovani">Financování</a>
            {% else %}
            <a class="nav-link" href="/#financovani">Financování</a>
            {% endif %}
          </li>
          {% endif %}

          <li class="nav-item">
            <a class="nav-link js-scroll-anchor" href="#kontakt">Kontakt</a>
          </li>
        </ul>
        <div class="header__socials header__socials--mobile d-xl-none mb-2">
          {% include "senat_campaign/socials_snippet.html" %}
        </div>
        {% if page.root_page.has_donations %}
        <a href="{{ page.root_page.donations_url }}" class="btn btn-success support_buton btn-sm d-xl-none mb-3">Darovat<i class="icon-heart ml-2" title="Ikona srdce"></i></a>
        {% endif %}
      </div><!-- /navigation -->
    </div><!-- /container -->
  </nav>
  <!-- /HEADER -->

  {% block content %}{% endblock %}

  <!-- FOOTER -->
  <footer id="kontakt">

    <div class="footer__top">
      <div class="container">

        <div class="row">
          <div class="col-12 col-md-6">
            <h2 class="lead page-subheading mb-5">Kontakt</h2>
          </div><!-- /column -->
          <div class="col-12 col-md-6">
            <div class="socials mb-5">
              {% include "senat_campaign/socials_snippet.html" %}
            </div>
          </div><!-- /column -->
        </div> <!-- /row -->
        {% if page.root_page.footer_links %}
          <div class="row">
            {% for block in page.root_page.footer_links %}
              <div class="col-12 col-md-6">
                <h2 class="lead page-subheading mb-5">{{ block.value.label }}</h2>
              </div><!-- /column -->
              <div class="col-12 col-md-6">
                <div class="other mb-5">
                  {% for link in block.value.items %}
                    <a href="{{ link.url }}">{{ link.text }}</a>
                  {% endfor %}
                </div>
              </div><!-- /column -->

            {% endfor %}
          </div>
        {% endif %}

        <div class="row">

          {% for contact in page.root_page.contacts %}
          <div class="col-12 col-md-6 col-xl-4 mb-4">
            <div class="person">
              <div class="person__photo">
                <div class="person__photo-inner">
                  {% image contact.value.photo fill-100x100 as img %}
                  <img data-src="{{ img.url }}" class="lazyload img-fluid" alt="{{ contact.value.name }}">
                </div>
              </div>
              <div class="person__content">
                <h6>{{ contact.value.name }}</h6>
                {% if contact.value.job %}
                <span>{{ contact.value.job }}</span>
                {% endif %}
                {% if contact.value.email %}
                <a href="mailto:{{ contact.value.email }}">{{ contact.value.email }}</a>
                {% endif %}
                {% if contact.value.phone %}
                <a href="tel:{{ contact.value.phone }}">{{ contact.value.phone }}</a>
                {% endif %}
              </div>
            </div>
          </div><!-- /column -->
          {% endfor %}

        </div> <!-- /row -->
      </div><!-- /container -->
    </div><!-- /footer_top -->

    <div class="footer__bottom">
      <div class="container">
        <div class="row">
          {% if page.root_page.footer_extra_content %}
            <div class="col-12 col-md-5 mb-3 mb-md-0">
              <p class="mb-0">{% now "Y" %} | Zadavatel: {{ page.root_page.full_name }} | Zpracovatel: Česká pirátská strana</p>
            </div><!-- /column -->
            <div class="col-12 col-md-3">
              <p class="mb-0">
                {{ page.root_page.footer_extra_content|richtext }}
              </p>
            </div>
            <div class="col-12 col-md-4 text-md-right">
              <p class="mb-0">Tento web využívá soubory cookies - <a href="{{ page.root_page.cookies_page_url }}">více informací</a></p>
            </div><!-- /column -->
          {% else %}
            <div class="col-12 col-md-6 mb-3 mb-md-0">
              <p class="mb-0">{% now "Y" %} | Zadavatel: {{ page.root_page.full_name }} | Zpracovatel: Česká pirátská strana</p>
            </div><!-- /column -->
            <div class="col-12 col-md-6 text-md-right">
              <p class="mb-0">Tento web využívá soubory cookies - <a href="{{ page.root_page.cookies_page_url }}">více informací</a></p>
            </div><!-- /column -->
          {% endif %}
        </div><!-- /row -->
      </div><!-- /container -->
    </div><!-- /footer_bottom -->

  </footer>
  <!-- /FOOTER -->

  <!-- JavaScript libraries -->
  <script src="{% static "shared/vendor/jquery/jquery-3.4.1.min.js" %}"></script>
  <script src="{% static "shared/vendor/bootstrap-4.4.1/js/bootstrap.min.js" %}"></script>
  <script src="{% static "shared/vendor/lazysizes/lazysizes.min.js" %}"></script>
  <script src="{% static "shared/vendor/fancybox/jquery.fancybox.min.js" %}"></script>
  <script src="{% static "senat_campaign/assets/js/scripts.js" %}"></script>

</body>
</html>
